Subject: Re: [PATCH] Simple update to bash completions to prevent unbound variable errors.

From: Ted Pavlic <[email-masked]>
Date: Mon, 12 Jan 2009 23:34:40 -0500

> While I dislike emacs and use vim pretty much exclusively, I don't really see
> the need for a vim modeline.  On top of that, fdm=marker is a bit silly since
> there aren't any markers.  ff=unix and ft=sh are redundant, as any vim should
> detect these properly, given the filename.

Without the modeline, the vim I was using didn't set ft=sh. It seemed 
like the original authors were careful to use tabs everywhere, which was 
the major reason I used the modeline. I added the fdm=marker just in 
case someone would want to clean up the code someday and do some folding.

> So, I'm slightly negative on the modeline hunk.

It was just a suggestion.

>> 	local one=${1-} two=${2-} cur=${3-} four=${4-}
>
> Even better to use variable names that match the usage, if possible.

I don't know much about bash completion. It would be nice if the 
original authors could add some semantics, as I was just trying to come 
up with scripts that would actually work with set -u.

--Ted

-- 
Ted Pavlic <[email-masked]>

   Please visit my ALS association page:
         http://web.alsa.org/goto/tedpavlic
   My family appreciates your support in the fight to defeat ALS.